routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('welcome');
});*/

Auth::routes();

/* Admin Auth Route*/
Route::get('admin/', 'LoginController@index');
Route::get('admin/login', 'LoginController@index')->name('admin.login'); 
Route::post('admin/login', 'LoginController@authCheck')->name('admin.login');
Route::get('admin/logout', 'LoginController@logout')->name('admin.logout');


Route::group(['middleware' => 'auth:Admin',  'prefix' => 'admin'], function(){

	Route::get('/dashboard','Admin\DashboardController@index')->name('admin.dashboard');

	Route::resource('employee','Admin\EmployeeController');
	Route::resource('admin-influencer','Admin\InfluencerController');
  Route::get('approve-reject/{id}/{flag}', 'Admin\InfluencerController@approve_reject')->name('admin.approve_reject');
  Route::post('/admin-influencer-list','Admin\InfluencerController@influencer_list')->name('admin.influencer_list');


	Route::resource('admin-shop','Admin\ShopController');
  Route::post('/admin-shop-list','Admin\ShopController@shop_list')->name('admin.shop_list');

  Route::resource('admin-category','Admin\CategoryController');  

  Route::resource('admin-users','Admin\UserController');
  Route::get('/paying-users','Admin\UserController@index')->name('admin.paying_users');
  Route::get('/paid-users','Admin\UserController@paid_users')->name('admin.paid_users');

  Route::get('/assign-shop-into-category','Admin\ShopController@assign_shop_into_category')->name('admin.assign_shop_into_category');

  Route::get('/setting','Admin\DashboardController@setting')->name('admin.setting');
  Route::post('/setting-update','Admin\DashboardController@setting_update')->name('admin.setting_update');

  Route::resource('admin-notification','Admin\NotificationController');

  Route::resource('admin-country','Admin\CountryController');

  Route::get('/import-influencer','Admin\InfluencerController@import_influencer')->name('admin.import_influencer');
  Route::post('/import-influencer','Admin\InfluencerController@import_influencer_store')->name('admin.import_influencer_store');
});


/* User Auth Route*/
Route::get('/', 'LoginController@index');
Route::get('user/login', 'LoginController@index')->name('user.login'); 
Route::post('user/login', 'LoginController@authCheck')->name('user.login');
Route::get('user/logout', 'LoginController@logout')->name('user.logout'); 

Route::get('user/signup', 'SignupController@index')->name('user.signup');
Route::post('user/signup', 'SignupController@signup')->name('user.signup');
Route::post('user/payment-request', 'SignupController@stripe_payment_request')->name('user.stripe_payment_request');

Route::get('user/is-email-already-exists-user', 'SignupController@is_email_already_exists_user')->name('user.is_email_already_exists_user');

Route::group(['middleware' => 'auth:User',  'prefix' => 'user'], function(){

    Route::get('/dashboard','User\DashboardController@index')->name('user.dashboard');
    Route::get('/profile','User\ProfileController@index')->name('user.profile');
    Route::post('/update-email','User\ProfileController@update_email')->name('user.update_email');
    Route::post('/update-password','User\ProfileController@update_password')->name('user.update_password');
    Route::get('/check-old-password','User\ProfileController@check_old_password')->name('user.check_old_password');

    Route::get('/cancel-subscription','User\ProfileController@cancel_subscription')->name('user.cancel_subscription');

    Route::resource('shop','User\ShopController');
    
    Route::resource('trend','User\TrendController');

    Route::resource('influencer','User\InfluencerController');
    Route::get('user/influencer-favourite', 'User\InfluencerController@influencer_favourite')->name('user.influencer_favourite'); 

    Route::resource('live-now','User\LivePromotionController');

    Route::resource('influencer-list','User\InfluencerListController');
    Route::get('assign-influencer/delete', 'User\InfluencerListController@delete')->name('user.influencer_list.delete');
    Route::post('assign-influencer/update', 'User\InfluencerListController@update')->name('user.influencer_list.update');
    Route::get('favourite-influencer-list', 'User\InfluencerListController@favourite_influencer_list')->name('user.favourite_influencer_list'); 

    Route::get('user/assign-influencer', 'User\InfluencerListController@assign_influencer')->name('user.assign_influencer'); 

    Route::resource('shop-list','User\ShopListController');
    Route::get('assign-shop/delete', 'User\ShopListController@delete')->name('user.shop_list.delete');
    Route::post('assign-shop/update', 'User\ShopListController@update')->name('user.shop_list.update');

    Route::get('favourite-shop-list', 'User\ShopListController@favourite_shop_list')->name('user.favourite_shop_list');

    Route::get('user/assign-shop', 'User\ShopListController@assign_shop')->name('user.assign_shop'); 

    Route::resource('media-list','User\MediaListController');
    Route::get('assign-media/delete', 'User\MediaListController@delete')->name('user.media_list.delete');
    Route::post('assign-media/update', 'User\MediaListController@update')->name('user.media_list.update');

    Route::get('user/assign-media', 'User\MediaListController@assign_media')->name('user.assign_media'); 

    Route::resource('notification','User\NotificationController');
     
});

Route::get('/instagram-profile','InstagramAPITestController@index');
Route::get('/profile-stories','InstagramAPITestController@profile_stories');
Route::get('/set-influencer-rank','InstagramAPITestController@set_influencer_rank');
Route::get('/shop-video-concat','InstagramAPITestController@shop_video_concat');
Route::get('/sendinblue-contact-status-update','InstagramAPITestController@sendinblue_contact_status_update');


Route::get('/inst-demo-profile','InstagramAPIDemoController@index');
Route::get('/profile-demo-stories','InstagramAPIDemoController@profile_stories');

Route::get('/clear', function() {

   Artisan::call('cache:clear');
   Artisan::call('config:clear');
   Artisan::call('config:cache');
   Artisan::call('view:clear');
   Artisan::call('clear-compiled');

   return "Cleared!";

});

app/Models/Notification.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Notification extends Model
{
    use SoftDeletes;

    protected $table = 'notification';

    protected $primaryKey = 'notification_id';
	
    protected $fillable = [
        'notification', 'date', 'created_at', 'updated_at'
    ];
}

app/Http/Controllers/Admin/NotificationController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Notification;
use Hash;
use DB; 
use Session;
use Auth;

class NotificationController extends Controller
{
    
    public function index()
    { 
        $notifications = Notification::select("notification.*")
            ->latest('date')
            ->get();
        return view('admin.notification.index', compact('notifications'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    { 
        return view('admin.notification.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    { 
        $request['date'] = date("Y-m-d", strtotime($request->date));
        Notification::create($request->all());

        DB::table('user')->update(['is_unread_notification' => 0]);
        
        return redirect()->route('admin-notification.index')->with('success','Notification created successfully.');
        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($notification_id)
    {
        $notification = Notification::find($notification_id);
        return view('admin.notification.edit',compact('notification'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $notification_id)
    { 
        $notification = Notification::find($notification_id);
        $request['date'] = date("Y-m-d", strtotime($request->date));
        $notification->update($request->all());

        return redirect()->route('admin-notification.index')->with('success','Notification updated successfully.');
    }
    
    public function destroy($id)
    { 
        Notification::find($id)->delete();

        return redirect()->route('admin-notification.index')->with('success','Notification deleted successfully.');
    }
}

app/Http/Controllers/User/NotificationController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Notification;
use Hash;
use DB; 
use Session;
use Auth;

class NotificationController extends Controller
{
    public function index()
    { 
        $notifications = Notification::select("notification.*")
            ->latest('date')
            ->paginate(10);

        DB::table('user')->where('user_id', Auth::guard('User')->user()->user_id)->update(['is_unread_notification' => 1]);

        /*$notification = Notification::first();
        $user_id = Auth::guard('User')->user()->user_id; 

        $cnt = Notification::whereRaw('FIND_IN_SET('.Auth::guard('User')->user()->user_id.', view_user_ids) IS NULL')->count();
        if($cnt != 0)
        {
             $view_user_ids = $notification->view_user_ids;
            $view_user_ids_arr = !empty($view_user_ids) ? explode(",", $view_user_ids) : array();
            array_push($view_user_ids_arr, $user_id);
            DB::table('notification')->update(['view_user_ids' => implode(",", $view_user_ids_arr)]); 
        }*/
        return view('user.notification.index', compact('notifications'));
    }

    public function show($notification_id)
    { 
        $notification = Notification::select("notification.*")
            ->where('notification_id', $notification_id)
            ->first();

        return view('user.notification.show', compact('notification'));
    }
}

resources/views/admin/notification/create.blade.php
@extends('layout.main')

@section('pagestylesheet')
     <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
@stop

@section('content')

<div class="col-md-9 col-sm-9 col-xs-12 no-padding">
    <div class="middlepart">
        <div class="create-emp promotedshops">

            <div class="topbar">
                <h3>Create Notification</h3>
            </div>
            @if ($errors->any())
                <div class="error-contains">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li class="alert alert-danger text-danger"><i class="fa fa-close"></i> {{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
             <div class="error-contains">
            @if ($message = Session::get('success'))
                <div class="alert alert-success text-success">
                    <i class="fa fa-check"></i> {{ $message }}
                </div>
            @endif
            </div>
            <div class="">
                <div class="panel-body">
                    <div class="form-wrap">
                        
                        {!! Form::open(array('route' => 'admin-notification.store','method'=>'POST', 'class'=>'form-horizontal', 'id'=>'create-notification')) !!}
                            
                            <div class="form-group">
                                <label class="control-label mb-10 col-sm-3" for="name">Notification:</label>
                                <div class="col-sm-9">
                                    <textarea name="notification" style="width: 100%;"></textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label mb-10 col-sm-3" for="name">Date:</label>
                                <div class="col-sm-9">
                                    <input type="text" class="form-control datepicker" id="date" name="date">
                                </div>
                            </div>
                            
                            <div class="form-group mb-0">
                            <hr /> 
                                <div class="text-center">
                                  <button type="submit" class="btn btn-success"><span class="btn-text">Submit</span></button>
                                </div>
                            </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        
    </div>
</div>
</div>
                    
@endsection

@section('pagescript')

    <script type="text/javascript" src="{{ asset('js/jquery.validate.js')}}"></script>
    <script src="{{ asset('js/jquery-ui.js')}}"></script>
    <script type="text/javascript">

    $(document).ready(function () {

        $(".datepicker").datepicker({
            dateFormat: "mm/dd/yy",
            changeMonth: true,
            changeYear: true,
        });

        $('#create-category').validate({ 
            rules: {
                notification:{
                    required: true,
                },
            },
            messages: {
                notification:{
                    required: 'Please enter notification',
                }
            },
            errorElement : 'div',
            /*errorPlacement: function(error, element){
                $(element).addClass('error');
            },*/
            highlight: function(element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
        });
    });
    </script>
@stop

resources/views/admin/notification/edit.blade.php
@extends('layout.main')
@section('content')
@section('pagestylesheet')
     <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
@stop

<div class="col-md-9 col-sm-9 col-xs-12 no-padding">
    <div class="middlepart">
        <div class="create-emp promotedshops">

            <div class="topbar">
                <h3>Edit Notification</h3>
            </div>

             <div class="error-contains">
            @if ($message = Session::get('success'))
                <div class="alert alert-success text-success">
                    <i class="fa fa-check"></i> {{ $message }}
                </div>
            @endif
            </div>
            
            @if ($errors->any())
                <div class="error-contains">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li class="alert alert-danger text-danger"><i class="fa fa-close"></i> {{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <div class="">
                <div class="panel-body">
                    <div class="form-wrap">
                        
                         {!! Form::open(array('route' => ['admin-notification.update', $notification->notification_id],'method'=>'PATCH', 'class'=>'form-horizontal', 'id'=>'edit-notification')) !!}

                            
                            <div class="form-group">
                                <label class="control-label mb-10 col-sm-3" for="name">Notification:</label>
                                <div class="col-sm-9">
                                    <input type="text" class="form-control" id="notification" name="notification"  value="{{$notification->notification}}">
                                </div>
                            </div>

                             <div class="form-group">
                                <label class="control-label mb-10 col-sm-3" for="name">Date:</label>
                                <div class="col-sm-9">
                                    <input type="text" class="form-control datepicker" id="date" name="date"  value="{{date('m/d/Y', strtotime($notification->date))}}">
                                </div>
                            </div>
                            
                            <div class="form-group mb-0">
                            <hr /> 
                                <div class="text-center">
                                  <button type="submit" class="btn btn-success"><span class="btn-text">Submit</span></button>
                                </div>
                            </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        
    </div>
</div>
</div>
                    
@endsection

@section('pagescript')
    <script type="text/javascript" src="{{ asset('js/jquery.validate.js')}}"></script>
     <script src="{{ asset('js/jquery-ui.js')}}"></script>
    <script type="text/javascript">

    $(document).ready(function () {

        $(".datepicker").datepicker({
            dateFormat: "mm/dd/yy",
            changeMonth: true,
            changeYear: true,
        });
        
        $('#edit-category').validate({ 
            rules: {
                category_name:{
                    required: true,
                },
            },
            messages: {
                category_name:{
                    required: 'Please enter category name',
                },
            },
            errorElement : 'div',
            /*errorPlacement: function(error, element){
                $(element).addClass('error');
            },*/
            highlight: function(element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
        });
    });
    </script>
@stop

resources/views/admin/notification/index.blade.php
@extends('layout.main')
@section('content')

@section('pagestylesheet')
 <!--alerts CSS -->
    <link href="{{ asset('css/sweetalert.css')}}" rel="stylesheet" type="text/css">
    
     <style type="text/css">
        #notification_table_filter{
            float: right;
        }
        #notification_table_filter input{
                margin-left: 10px;
        }
    </style>
@stop

<div class="col-md-9 col-sm-9 col-xs-12 no-padding">
    <div class="middlepart">
        <div class="promotedshops">
            <div class="topbar">
                <h3>Notifications</h3>
                 <div class="pull-right">
                    <a href="{{route('admin-notification.create')}}" class="btn btn-blue">Add Notification</a>
                </div>
            </div>

            <div class="error-contains">
            @if ($message = Session::get('success'))
                <div class="alert alert-success text-success">
                    <i class="fa fa-check"></i> {{ $message }}
                </div>
            @endif
            </div>
           
            <div class="shopslistings">
                <div class="shopslistingsinner">
                    <table id="notification_table" class="table display nowrap">
                    <thead>
                        <tr>
                            <th>Notification</th>
                            <th class="text-center">Date</th>
                            <th class="text-center no-sort">Action</th>
                            <th style="display: none;"></th>
                        </tr>
                    </thead>
                    <tbody>
                        @if(!empty($notifications))
                            @foreach($notifications as $notification)
                            <tr>
                                <td class="text-center">{{Str::limit($notification->notification, 60)}}</td>
                                <td class="text-center">{{date("m/d/Y", strtotime($notification->date))}}</td>
                                <td class="text-center">
                                    <a href="{{route('admin-notification.edit', $notification->notification_id)}}"  class="btn btn-primary btn-xs action"><i class="fa fa-pencil"></i></a>
                                    
                                     <form action="{{route('admin-notification.destroy', $notification->notification_id)}}" method='POST' id='laravel_datatable-{{$notification->notification_id}}' style="display: -webkit-inline-box;">
                                        <input name='_method' type='hidden' value='DELETE'>
                                        {{csrf_field()}}
                                        <button type='button' title='DELETE' class='btn btn-danger btn-xs action' onclick='delete_notification("{{$notification->notification_id}}");'>
                                            <i class='fa fa-trash-o text-danger'></i>
                                        </button>
                                    </form>
                                </td>
                                <td style="display: none;"></td>
                            </tr>
                            @endforeach
                        @endif
                    </tbody>
                    </table>
                </div>
                
            </div>
        </div>
    </div>
</div>

                    
@endsection

@section('pagescript')
    <script src="{{ asset('js/jquery.dataTables.min.js')}}"></script>
     <!-- Sweet-Alert  -->
    <script src="{{ asset('js/sweetalert.min.js')}}"></script>
    <script>
        $(document).ready(function() {
            $('#notification_table').DataTable( {
                searching: true,
                ordering:  true,
                "language": {
                    "paginate": {
                        "previous": "<i class='fa fa-angle-left'><i/>",
                        "next": "<i class='fa fa-angle-right'><i/>",

                    }
                },
            } );
        } );

        function delete_notification(category_id){

            swal({   
                title: "Are you sure?",   
                text: "You will not be able to recover this data!",   
                type: "warning",   
                showCancelButton: true,   
                confirmButtonColor: "#8BC34A",   
                confirmButtonText: "Yes, delete it!",   
                closeOnConfirm: false,
                showLoaderOnConfirm: true,
                /*iconColor: '#000',*/
            }, function(){   
                swal("Deleted!", "Your data has been deleted.", "success"); 
                $("#laravel_datatable-"+category_id).submit();
                return true;
            });

            return false;
        }
    </script>
@stop